<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.fleet.dao.KwfTruckLicenseMapper">

    <select id="findByTruckId" resultType="com.sckw.fleet.model.KwfTruckLicense" parameterType="java.lang.Long" >
        SELECT
            id, truck_id truckId, vin, driving_no drivingNo, owner, reg_time regTime, grant_unit grantUnit,
            grant_time grantTime, certificate_main certificateMain, certificate_revolt certificateRevolt,
             status, remark, create_by createBy, create_time createTime, update_by updateBy, update_time updateTime
        from kwf_truck_license
        where del_flag = 0 and truck_id = #{truckId, jdbcType=BIGINT}
    </select>

</mapper>
